<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for SalaryPreCalculationItem_V2 StructType
 * @subpackage Structs
 */
class SalaryPreCalculationItem_V2 extends AbstractStructBase
{
    /**
     * The Driver
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\IdentifierPerson_V2
     */
    public $Driver;
    /**
     * The WorkDayList
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \ArrayType\ArrayOfWorkDayItem
     */
    public $WorkDayList;
    /**
     * Constructor method for SalaryPreCalculationItem_V2
     * @uses SalaryPreCalculationItem_V2::setDriver()
     * @uses SalaryPreCalculationItem_V2::setWorkDayList()
     * @param \StructType\IdentifierPerson_V2 $driver
     * @param \ArrayType\ArrayOfWorkDayItem $workDayList
     */
    public function __construct(\StructType\IdentifierPerson_V2 $driver = null, \ArrayType\ArrayOfWorkDayItem $workDayList = null)
    {
        $this
            ->setDriver($driver)
            ->setWorkDayList($workDayList);
    }
    /**
     * Get Driver value
     * @return \StructType\IdentifierPerson_V2|null
     */
    public function getDriver()
    {
        return $this->Driver;
    }
    /**
     * Set Driver value
     * @param \StructType\IdentifierPerson_V2 $driver
     * @return \StructType\SalaryPreCalculationItem_V2
     */
    public function setDriver(\StructType\IdentifierPerson_V2 $driver = null)
    {
        $this->Driver = $driver;
        return $this;
    }
    /**
     * Get WorkDayList value
     * @return \ArrayType\ArrayOfWorkDayItem|null
     */
    public function getWorkDayList()
    {
        return $this->WorkDayList;
    }
    /**
     * Set WorkDayList value
     * @param \ArrayType\ArrayOfWorkDayItem $workDayList
     * @return \StructType\SalaryPreCalculationItem_V2
     */
    public function setWorkDayList(\ArrayType\ArrayOfWorkDayItem $workDayList = null)
    {
        $this->WorkDayList = $workDayList;
        return $this;
    }
}
